### Method

# EDataServer SourceProxy dup_ignore_hosts

since: 3.12

#### Declaration [src]

    gchar**
    e_source_proxy_dup_ignore_hosts (
      ESourceProxy* extension
    )

#### Description [src]

Thread-safe variation of e_source_proxy_get_ignore_hosts(). Use this function when accessing `extension` from multiple threads.

The returned string array should be freed with `g_strfreev()` when no longer needed.

Available since: 3.12

#### Return value

Type: An array of `utf8`

A newly-allocated copy of `ESourceProxy:ignore-hosts`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.